package jpwang.sino;

import android.R.bool;
import android.R.string;
import android.app.Activity;
import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.SQLException;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.SimpleCursorAdapter;
import android.widget.Toast;

public class MyDB {
	public SQLiteDatabase dbs = null; // ƮwO
	public final static String DATABASE_NAME = "dbjp.db";
	public final static String TABLE_NAME = "TABLE01";
	public final static String _ID = "_id";
	public final static String NAME = "name";
	public final static String PRICE = "price";
	public final static String CREATE_TABLE = "CREATE TABLE " + TABLE_NAME
			+ " (" + _ID + " INTEGER PRIMARY KEY, " + NAME + " TEXT, " + PRICE
			+ " INTEGER)";
	private Context mCtx = null;

	public MyDB(Context ctx) {
		this.mCtx = ctx; // ǤJإߪ activity
	}

	public void open() throws SQLException { // إ߸Ʈw
		dbs = mCtx.openOrCreateDatabase(DATABASE_NAME, 0, null);
		try {
			dbs.execSQL(CREATE_TABLE);
		} catch (SQLException e) {

		}
	}

	public void close() { // Ʈw
		dbs.close();

	}

	public Cursor getAll() {
		return dbs.query(TABLE_NAME, new String[] { _ID, NAME, PRICE }, null,
				null, null, null, null);

	}

	public Cursor get(long rowID) throws SQLException {
		Cursor mCursor = dbs.query(TABLE_NAME,
				new String[] { _ID, NAME, PRICE }, _ID + "=" + rowID, null,
				null, null, null);

		if (mCursor != null) {
			mCursor.moveToFirst();
		}

		return mCursor;
	}

	public Cursor getStr(String str) throws SQLException {
		Cursor mCursor = dbs.query(TABLE_NAME,
				new String[] { _ID, NAME, PRICE }, str , null,
				null, null, null);

		if (mCursor != null) {
			mCursor.moveToFirst();
		}

		return mCursor;
	}
	
	public long append(String name, int price) { // sW
		ContentValues args = new ContentValues();
		args.put(NAME, name);
		args.put(PRICE, price);

		return dbs.insert(TABLE_NAME, null, args);
	}

	public boolean delete(long rowID) { // R
		return dbs.delete(TABLE_NAME, _ID + "=" + rowID, null) > 0;
	}

	public boolean update(long rowID, String name, int price) {
		ContentValues args = new ContentValues();
		args.put(NAME, name);
		args.put(PRICE, price);
		return dbs.update(TABLE_NAME, args, _ID + "=" + rowID, null) > 0;
	}
}